haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Arg

# Documentation

data Arg Source #

Constructors

Arg |

Fields

- argCName :: Text

  C name for the argument. For a escaped name valid in Haskell code, use `escapedArgName`.

- argType :: Type
- argCType :: Maybe Text
- direction :: Direction
- mayBeNull :: Bool
- argDoc :: Documentation
- argScope :: Scope
- argClosure :: Int
- argDestroy :: Int
- argCallerAllocates :: Bool
- argCallbackUserData :: Bool

  Whether the argument is an "user-data" argument for a callback.

- transfer :: Transfer

#### Instances

Instances details

Show Arg Source # |
Instance details Defined in Data.GI.GIR.Arg Methods showsPrec :: Int -> Arg -> ShowS Source # show :: Arg -> String Source # showList :: [Arg] -> ShowS Source #
Eq Arg Source # |
Instance details Defined in Data.GI.GIR.Arg Methods (==) :: Arg -> Arg -> Bool Source # (/=) :: Arg -> Arg -> Bool Source #
Ord Arg Source # |
Instance details Defined in Data.GI.GIR.Arg Methods compare :: Arg -> Arg -> Ordering Source # (<) :: Arg -> Arg -> Bool Source # (<=) :: Arg -> Arg -> Bool Source # (>) :: Arg -> Arg -> Bool Source # (>=) :: Arg -> Arg -> Bool Source # max :: Arg -> Arg -> Arg Source # min :: Arg -> Arg -> Arg Source #

data Direction Source #

Constructors

DirectionIn |
DirectionOut |
DirectionInout |

#### Instances

Instances details

Show Direction Source # |
Instance details Defined in Data.GI.GIR.Arg Methods showsPrec :: Int -> Direction -> ShowS Source # show :: Direction -> String Source # showList :: [Direction] -> ShowS Source #
Eq Direction Source # |
Instance details Defined in Data.GI.GIR.Arg Methods (==) :: Direction -> Direction -> Bool Source # (/=) :: Direction -> Direction -> Bool Source #
Ord Direction Source # |
Instance details Defined in Data.GI.GIR.Arg Methods compare :: Direction -> Direction -> Ordering Source # (<) :: Direction -> Direction -> Bool Source # (<=) :: Direction -> Direction -> Bool Source # (>) :: Direction -> Direction -> Bool Source # (>=) :: Direction -> Direction -> Bool Source # max :: Direction -> Direction -> Direction Source # min :: Direction -> Direction -> Direction Source #

data Scope Source #

Constructors

ScopeTypeInvalid |
ScopeTypeCall |
ScopeTypeAsync |
ScopeTypeNotified |
ScopeTypeForever |

#### Instances

Instances details

Show Scope Source # |
Instance details Defined in Data.GI.GIR.Arg Methods showsPrec :: Int -> Scope -> ShowS Source # show :: Scope -> String Source # showList :: [Scope] -> ShowS Source #
Eq Scope Source # |
Instance details Defined in Data.GI.GIR.Arg Methods (==) :: Scope -> Scope -> Bool Source # (/=) :: Scope -> Scope -> Bool Source #
Ord Scope Source # |
Instance details Defined in Data.GI.GIR.Arg Methods compare :: Scope -> Scope -> Ordering Source # (<) :: Scope -> Scope -> Bool Source # (<=) :: Scope -> Scope -> Bool Source # (>) :: Scope -> Scope -> Bool Source # (>=) :: Scope -> Scope -> Bool Source # max :: Scope -> Scope -> Scope Source # min :: Scope -> Scope -> Scope Source #

parseArg :: Parser Arg Source #

parseTransfer :: Parser Transfer Source #

parseTransferString :: Text -> Parser Transfer Source #